summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrian Perez de Castro2016-05-08 12:53:03 +0300
committerAdrian Perez de Castro2016-05-08 12:53:03 +0300
commit6861b4279d674e6f7843d7ba10c744d6bb62e6bc (patch)
treefb2fcb3d748eb2da3648a9d5beea7b005bcb8101
downloadaur-6861b4279d674e6f7843d7ba10c744d6bb62e6bc.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD38
-rw-r--r--bubblewrap.install9
3 files changed, 68 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..63f5824d65e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+# Generated by mksrcinfo v8
+# Sun May 8 09:52:50 UTC 2016
+pkgbase = bubblewrap-git
+ pkgdesc = Unprivileged sandboxing tool
+ pkgver = r139.bf6e356
+ pkgrel = 1
+ url = https://github.com/projectatomic/bubblewrap
+ install = bubblewrap.install
+ arch = x86_64
+ arch = i686
+ license = LGPL
+ makedepends = autoconf
+ makedepends = automake
+ makedepends = libxslt
+ provides = bubblewrap
+ conflicts = bubblewrap
+ source = bubblewrap-git::git+https://github.com/projectatomic/bubblewrap
+ sha512sums = SKIP
+
+pkgname = bubblewrap-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..66e72a67c28
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+pkgname='bubblewrap-git'
+pkgdesc='Unprivileged sandboxing tool'
+url='https://github.com/projectatomic/bubblewrap'
+license=('LGPL')
+pkgver=r139.bf6e356
+pkgrel=1
+arch=('x86_64' 'i686')
+makedepends=('autoconf' 'automake' 'libxslt')
+install='bubblewrap.install'
+conflicts=('bubblewrap')
+provides=('bubblewrap')
+source=("${pkgname}::git+${url}")
+sha512sums=('SKIP')
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare () {
+ cd "${pkgname}"
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build () {
+ cd "${pkgname}"
+ ./configure --prefix=/usr --with-bash-completion-dir=/usr/share/bash-completion
+ make
+}
+
+package () {
+ cd "${pkgname}"
+ make install DESTDIR="${pkgdir}"
+}
diff --git a/bubblewrap.install b/bubblewrap.install
new file mode 100644
index 00000000000..8c7b05ee852
--- /dev/null
+++ b/bubblewrap.install
@@ -0,0 +1,9 @@
+# vim: ft=sh ts=4 sw=4 et
+
+post_install () {
+ setcap cap_sys_admin,cap_net_admin,cap_sys_chroot+ep /usr/bin/bwrap
+}
+
+post_upgrade () {
+ post_install
+}